<?php
class ControllerModuleShowcase extends Controller {
	private $error = array(); 

	public function index() {   
		$this->load->language('module/showcase');
		$this->document->title = $this->language->get('heading_title');
		$this->load->model('setting/setting');
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && ($this->validate())) {
			$this->model_setting_setting->editSetting('showcase', $this->request->post);		
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect(HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token']);
		}
		$this->data['heading_title'] = $this->language->get('heading_title');
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_left'] = $this->language->get('text_left');
		$this->data['text_right'] = $this->language->get('text_right');
		$this->data['text_home'] = $this->language->get('text_home');
		$this->data['text_all_products'] = $this->language->get('text_all_products');
		$this->data['text_featured'] = $this->language->get('text_featured');
		$this->data['text_special'] = $this->language->get('text_special');
		$this->data['entry_position'] = $this->language->get('entry_position');
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$this->data['entry_products'] = $this->language->get('entry_products');
		$this->data['entry_timer'] = $this->language->get('entry_timer');
		$this->data['entry_num_chars'] = $this->language->get('entry_num_chars');
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['tab_general'] = $this->language->get('tab_general');
		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}
		if (isset($this->error['timer'])) {
			$this->data['error_timer'] = $this->error['timer'];
		} else {
			$this->data['error_timer'] = '';
		}
 		if (isset($this->error['num_chars'])) {
			$this->data['error_num_chars'] = $this->error['num_chars'];
		} else {
			$this->data['error_num_chars'] = '';
		}
  		$this->document->breadcrumbs = array();
  		$this->document->breadcrumbs[] = array(
     		'href'      => HTTPS_SERVER . 'index.php?route=common/home&token=' . $this->session->data['token'],
     		'text'      => $this->language->get('text_home'),
	  		'separator' => FALSE
  		);
  		$this->document->breadcrumbs[] = array(
     		'href'      => HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token'],
     		'text'      => $this->language->get('text_module'),
     		'separator' => ' :: '
  		);
  		$this->document->breadcrumbs[] = array(
     		'href'      => HTTPS_SERVER . 'index.php?route=module/showcase&token=' . $this->session->data['token'],
     		'text'      => $this->language->get('heading_title'),
     		'separator' => ' :: '
  		);
		$this->data['action'] = HTTPS_SERVER . 'index.php?route=module/showcase&token=' . $this->session->data['token'];
		$this->data['cancel'] = HTTPS_SERVER . 'index.php?route=extension/module&token=' . $this->session->data['token'];
		$this->data['positions'] = array();
		$this->data['positions'][] = array(
			'position' => 'left',
			'title'    => $this->language->get('text_left'),
		);
		$this->data['positions'][] = array(
			'position' => 'right',
			'title'    => $this->language->get('text_right'),
		);
		$this->data['positions'][] = array(
			'position' => 'home',
			'title'    => $this->language->get('text_home'),
		);
		if (isset($this->request->post['showcase_position'])) {
			$this->data['showcase_position'] = $this->request->post['showcase_position'];
		} else {
			$this->data['showcase_position'] = $this->config->get('showcase_position');
		}
		if (isset($this->request->post['showcase_status'])) {
			$this->data['showcase_status'] = $this->request->post['showcase_status'];
		} else {
			$this->data['showcase_status'] = $this->config->get('showcase_status');
		}
		if (isset($this->request->post['showcase_sort_order'])) {
			$this->data['showcase_sort_order'] = $this->request->post['showcase_sort_order'];
		} else {
			$this->data['showcase_sort_order'] = $this->config->get('showcase_sort_order');
		}
		if (isset($this->request->post['showcase_timer'])) {
			$this->data['showcase_timer'] = $this->request->post['showcase_timer'];
		} else {
			$this->data['showcase_timer'] = $this->config->get('showcase_timer');
		}
		if (isset($this->request->post['showcase_products'])) {
			$this->data['showcase_products'] = $this->request->post['showcase_products'];
		} else {
			$this->data['showcase_products'] = $this->config->get('showcase_products');
		}
		if (isset($this->request->post['showcase_num_chars'])) {
			$this->data['showcase_num_chars'] = $this->request->post['showcase_num_chars'];
		} else {
			$this->data['showcase_num_chars'] = $this->config->get('showcase_num_chars');
		}
		$this->template = 'module/showcase.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
		$this->response->setOutput($this->render(TRUE), $this->config->get('config_compression'));
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'module/showcase')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		if (!$this->request->post['showcase_timer'] || $this->request->post['showcase_timer'] < 5) {
			$this->error['timer'] = $this->language->get('error_timer');
		}
		if (!$this->request->post['showcase_num_chars']) {
			$this->error['num_chars'] = $this->language->get('error_num_chars');
		}
		if (!$this->error) {
			return TRUE;
		} else {
			return FALSE;
		}	
	}
}
?>
